import { AlreadyDisposedError } from './errors';

function generateAssertTrap() {
  return (...args) => {
    throw new Error('Adapter method is not implemented');
  };
}

const bindMethod = (pool, method) => {
  if (method === undefined) return generateAssertTrap();else {
    return (...args) => {
      if (pool.disposed) {
        throw new AlreadyDisposedError();
      }

      return method(pool, ...args);
    };
  }
};

export default bindMethod;
//# sourceMappingURL=bind-method.js.map