import { AlreadyDisposedError } from './errors';

const wrapDispose = (pool, dispose) => async () => {
  if (pool.disposed) {
    throw new AlreadyDisposedError();
  }

  pool.disposed = true;
  await dispose(pool);
};

export default wrapDispose;
//# sourceMappingURL=wrap-dispose.js.map