"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _errors = require("./errors");

function generateAssertTrap() {
  return (...args) => {
    throw new Error('Adapter method is not implemented');
  };
}

const bindMethod = (pool, method) => {
  if (method === undefined) return generateAssertTrap();else {
    return (...args) => {
      if (pool.disposed) {
        throw new _errors.AlreadyDisposedError();
      }

      return method(pool, ...args);
    };
  }
};

var _default = bindMethod;
exports.default = _default;
//# sourceMappingURL=bind-method.js.map